*
* Generic pentode model: 6P41S
* Copyright 2003--2008 by Ayumi Nakabayashi, All rights reserved.
* Version 3.10, Generated on Fri Mar 20 07:56:32 2015
*                Plate
*                | Screen Grid
*                | |  Control Grid
*                | |  |  Cathode
*                | |  |  |
.SUBCKT 6P41S A G2 G1 K
BGG   GG   0 V=V(G1,K)+0.1668632
BM1   M1   0 V=(0.072356657*(URAMP(V(G2,K))+1e-10))**-0.73823931
BM2   M2   0 V=(0.67016962*(URAMP(V(GG)+URAMP(V(G2,K))/4.5583971)))**2.2382393
BP    P    0 V=0.0028798695*(URAMP(V(GG)+URAMP(V(G2,K))/6.8018557))**1.5
BIK   IK   0 V=U(V(GG))*V(P)+(1-U(V(GG)))*0.0017063703*V(M1)*V(M2)
BIG   IG   0 V=0.0014399347*URAMP(V(G1,K))**1.5*(URAMP(V(G1,K))/(URAMP(V(A,K))+URAMP(V(G1,K)))*1.2+0.4)
BIK2  IK2  0 V=V(IK,IG)*(1-0.4*(EXP(-URAMP(V(A,K))/URAMP(V(G2,K))*15)-EXP(-15)))
BIG2T IG2T 0 V=V(IK2)*(0.970972176*(1-URAMP(V(A,K))/(URAMP(V(A,K))+10))**1.5+0.029027824)
BIK3  IK3  0 V=V(IK2)*(URAMP(V(A,K))+158230)/(URAMP(V(G2,K))+158230)
BIK4  IK4  0 V=V(IK3)-URAMP(V(IK3)-(0.0020978268*(URAMP(V(A,K))+URAMP(URAMP(V(G2,K))-URAMP(V(A,K))))**1.5))
BIP   IP   0 V=URAMP(V(IK4,IG2T)-URAMP(V(IK4,IG2T)-(0.0020978268*URAMP(V(A,K))**1.5)))
BIAK  A    K I=V(IP)+1e-10*V(A,K)
BIG2  G2   K I=URAMP(V(IK4,IP))
BIGK  G1   K I=V(IG)
* CAPS
CGA   G1  A  0.5p
CGK   G1  K  13.8p
C12   G1  G2 9.2p
CAK   A   K  11p
.ENDS


*
* Generic triode model: 6P41S_T
* Copyright 2003--2008 by Ayumi Nakabayashi, All rights reserved.
* Version 3.10, Generated on Fri Mar 20 07:57:10 2015
*                  Plate
*                  | Grid
*                  | | Cathode
*                  | | |
.SUBCKT 6P41S_T A G K
BGG   GG   0 V=V(G,K)+0.1668632
BM1   M1   0 V=(0.072356657*(URAMP(V(A,K))+1e-10))**-0.73823931
BM2   M2   0 V=(0.67016962*(URAMP(V(GG)+URAMP(V(A,K))/4.5583971)+1e-10))**2.2382393
BP    P    0 V=0.0028798695*(URAMP(V(GG)+URAMP(V(A,K))/6.8018557)+1e-10)**1.5
BIK   IK   0 V=U(V(GG))*V(P)+(1-U(V(GG)))*0.0017063703*V(M1)*V(M2)
BIG   IG   0 V=0.0014399347*URAMP(V(G,K))**1.5*(URAMP(V(G,K))/(URAMP(V(A,K))+URAMP(V(G,K)))*1.2+0.4)
BIAK  A    K I=URAMP(V(IK,IG)-URAMP(V(IK,IG)-(0.0020978268*URAMP(V(A,K))**1.5)))+1e-10*V(A,K)
BIGK  G    K I=V(IG)
* CAPS
CGA   G    A 0.5p
CGK   G    K 23p
CAK   A    K 11p
.ENDS
